
@echo off
echo [101;93m Get cxLoyalty, Tavisca Code Base [0m

set tfuser=%TFSUserName%
set tfpassword=%TFSPassword%
set tfdomain=AffinionDS
set tfcol=http://cltstfs.loyaltytravelservices.com/tfs
set tfsource=$/AppDev
set tfworkspace=AppDev
set tflogin=/login:"%tfdomain%\%tfuser%,%tfpassword%"
set tfdir= %Directory%\%tfworkspace%
set batFileDirectory=%CD%
set tfsDirectory="C:\Program Files (x86)\Microsoft Visual Studio\2017\Professional\Common7\IDE\CommonExtensions\Microsoft\TeamFoundation\Team Explorer"

echo .
:CheckLocalDirectory
echo [45mChecking Local Directory Exists or Not [0m
  if exist %tfdir% (
    echo [92mDirectory Exists[0m
	goto CheckMappingOfLocalDirectory
  ) else (
    echo [91mDirectory Not Exists[0m
	cd %batFileDirectory%
    call create-local-directory
  )

:CheckMappingOfLocalDirectory
echo [45mChecking Mapping of Local Directory with Tfs Server... [0m
cd %batFileDirectory%
call map-local-directory
  if errorlevel 1 (
	goto MapLocalDirectoryWithTFSServer
  ) else (
    echo [92mMapping Exists[0m
    goto GetLatestCode
  )
  
:MapLocalDirectoryWithTFSServer
echo [94mMapping of Local Directory with Tfs Server...[0m
cd %batFileDirectory%
call map-local-directory-with-server
  if errorlevel 1 (
	goto FolderMapFailed
  ) else (
    echo [92mMapping Succesfull[0m
    goto GetLatestCode
  )

:GetLatestCode
echo [45mGetting Latest Code...[0m
cd %batFileDirectory%
call fetch-code
  if errorlevel 1 (
	goto GetLatestFailed
  ) else (
    echo [92mSUCCESSFULLY CLONE %BranchNumber%[0m
    goto FileHandling
  )

:FileHandling
echo [45mChanges in files...[0m
cd %batFileDirectory%
echo FileHandling/Orxe2Setup.exe %Directory% %BranchNumber% 44381 %Env%
call file-handling
  if errorlevel 1 (
	echo [91mSome Error in File Handling[0m
  ) else (
    echo [92mSUCCESSFULLY File Changes of %BranchNumber%[0m
    goto InstallNPMInORXeFolder
  )

:InstallNPMInORXeFolder
echo [45mInstall NPM in ORXe 2.0 Folder...[0m
cd %tfdir%\Code\ORXe\%BranchNumber%\ORXe2.0
call npm install
  if errorlevel 1 (
	goto GetNPMFailed
  ) else (
    echo [92mSUCCESSFULLY Intall npms in %CD% folder[0m
    goto InstallNPMInGruntFolder
  )
  
:InstallNPMInGruntFolder
echo [45mInstall NPM in GRUNT Folder...[0m
cd %tfdir%\Code\ORXe\%BranchNumber%\ORXe2.0\Grunt
call npm install
  if errorlevel 0 (
	echo [92mSUCCESSFULLY Intall npms in %CD% folder[0m
    goto Done
  ) else (
	goto GetNPMFailed
  )

:FolderMapFailed
echo [91mFailed to map[0m
goto :eof

:GetLatestFailed
echo [91mFailed to do Get Latest :-([0m
goto :eof

:GetNPMFailed
echo [91mFailed to install npms :-([0m
goto :eof

:Done
echo [92mDone[0m
goto :eof

pause