@echo off
setlocal
title ORXe 2.0 Project Setup

set StartTime=%time%

set TFSUserName=%1
set BranchNumber=%2
set Env=%3
set Directory=%4
set gruntPath=%Directory%\AppDev\Code\ORXe\%BranchNumber%\ORXe2.0\Grunt
setx Directory %4

call password-file TFSPassword="[94mEnter Your Password: [0m"

set "NodeVersion=not installed"
for /f "delims=" %%i in ('node -v 2^>nul') do set NodeVersion=%%i
if %NodeVersion%==v6.11.4 (
call project-setup
) else (
    goto getUserResponse
)

:getUserResponse
set "continueSetupResponse=n"
set /p continueSetupResponse="%NodeVersion% is not supported. You have to install node version 6.11.4. Do you want to continue ? (y/n) "
if /i "%continueSetupResponse:~0,1%" == "y" call project-setup


set EndTime=%time%
echo Project Setup Start Time: %StartTime%
echo Project Setup End Time: %EndTime%
pause